Package com.emc.d2fs.models.preference

# Class Preference

java.lang.Object
com.emc.d2fs.models.preference.Preference

All Implemented Interfaces:
  `Serializable`

public class Preference extends Object implements Serializable

Java class for preference complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="preference">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="column" type="{http://www.emc.com/d2fs/models/preference}column" maxOccurs="unbounded" minOccurs="0"/>
             <element name="columnPreferences" type="{http://www.emc.com/d2fs/models/preference}columnPreference" maxOccurs="unbounded" minOccurs="0"/>
             <element name="d2SVWidgetPreferences" type="{http://www.emc.com/d2fs/models/preference}d2SVWidgetPreference" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="language" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="folderBefore" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="group_by" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="group_by_widget" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="folderHidden" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="formatDate" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="formatDateTime" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="formatDateInput" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="formatDateTimeInput" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="timeEnabled" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="thumbnailFormat" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="thumbnailSize" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="contentViewMode" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="vdShowNumber" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="vdShowVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="paginationNumber" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="assistColKeyType" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="templateView" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="svAccessibleCompliant" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="svBrowserPluginMode" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="searchHighlightEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="searchSummaryEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="svLandingPage" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="taskWidgetTabOptions" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="ivQuickviewOption" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Preference()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssistColKeyType()`
  Gets the value of the assistColKeyType property.
  `List<Column>`
  `getColumn()`
  Gets the value of the column property.
  `List<ColumnPreference>`
  `getColumnPreferences()`
  Gets the value of the columnPreferences property.
  `String`
  `getContentViewMode()`
  Gets the value of the contentViewMode property.
  `List<D2SVWidgetPreference>`
  `getD2SVWidgetPreferences()`
  Gets the value of the d2SVWidgetPreferences property.
  `String`
  `getFormatDate()`
  Gets the value of the formatDate property.
  `String`
  `getFormatDateInput()`
  Gets the value of the formatDateInput property.
  `String`
  `getFormatDateTime()`
  Gets the value of the formatDateTime property.
  `String`
  `getFormatDateTimeInput()`
  Gets the value of the formatDateTimeInput property.
  `String`
  `getGroupBy()`
  Gets the value of the groupBy property.
  `String`
  `getGroupByWidget()`
  Gets the value of the groupByWidget property.
  `String`
  `getLanguage()`
  Gets the value of the language property.
  `int`
  `getPaginationNumber()`
  Gets the value of the paginationNumber property.
  `String`
  `getSvBrowserPluginMode()`
  Gets the value of the svBrowserPluginMode property.
  `String`
  `getSvLandingPage()`
  Gets the value of the svLandingPage property.
  `String`
  `getTemplateView()`
  Gets the value of the templateView property.
  `String`
  `getThumbnailFormat()`
  Gets the value of the thumbnailFormat property.
  `String`
  `getThumbnailSize()`
  Gets the value of the thumbnailSize property.
  `boolean`
  `isFolderBefore()`
  Gets the value of the folderBefore property.
  `boolean`
  `isFolderHidden()`
  Gets the value of the folderHidden property.
  `Boolean`
  `isIvQuickviewOption()`
  Gets the value of the ivQuickviewOption property.
  `Boolean`
  `isSearchHighlightEnabled()`
  Gets the value of the searchHighlightEnabled property.
  `Boolean`
  `isSearchSummaryEnabled()`
  Gets the value of the searchSummaryEnabled property.
  `Boolean`
  `isSvAccessibleCompliant()`
  Gets the value of the svAccessibleCompliant property.
  `Boolean`
  `isTaskWidgetTabOptions()`
  Gets the value of the taskWidgetTabOptions property.
  `boolean`
  `isTimeEnabled()`
  Gets the value of the timeEnabled property.
  `boolean`
  `isVdShowNumber()`
  Gets the value of the vdShowNumber property.
  `boolean`
  `isVdShowVersion()`
  Gets the value of the vdShowVersion property.
  `void`
  `setAssistColKeyType(String value)`
  Sets the value of the assistColKeyType property.
  `void`
  `setContentViewMode(String value)`
  Sets the value of the contentViewMode property.
  `void`
  `setFolderBefore(boolean value)`
  Sets the value of the folderBefore property.
  `void`
  `setFolderHidden(boolean value)`
  Sets the value of the folderHidden property.
  `void`
  `setFormatDate(String value)`
  Sets the value of the formatDate property.
  `void`
  `setFormatDateInput(String value)`
  Sets the value of the formatDateInput property.
  `void`
  `setFormatDateTime(String value)`
  Sets the value of the formatDateTime property.
  `void`
  `setFormatDateTimeInput(String value)`
  Sets the value of the formatDateTimeInput property.
  `void`
  `setGroupBy(String value)`
  Sets the value of the groupBy property.
  `void`
  `setGroupByWidget(String value)`
  Sets the value of the groupByWidget property.
  `void`
  `setIvQuickviewOption(Boolean value)`
  Sets the value of the ivQuickviewOption property.
  `void`
  `setLanguage(String value)`
  Sets the value of the language property.
  `void`
  `setPaginationNumber(int value)`
  Sets the value of the paginationNumber property.
  `void`
  `setSearchHighlightEnabled(Boolean value)`
  Sets the value of the searchHighlightEnabled property.
  `void`
  `setSearchSummaryEnabled(Boolean value)`
  Sets the value of the searchSummaryEnabled property.
  `void`
  `setSvAccessibleCompliant(Boolean value)`
  Sets the value of the svAccessibleCompliant property.
  `void`
  `setSvBrowserPluginMode(String value)`
  Sets the value of the svBrowserPluginMode property.
  `void`
  `setSvLandingPage(String value)`
  Sets the value of the svLandingPage property.
  `void`
  `setTaskWidgetTabOptions(Boolean value)`
  Sets the value of the taskWidgetTabOptions property.
  `void`
  `setTemplateView(String value)`
  Sets the value of the templateView property.
  `void`
  `setThumbnailFormat(String value)`
  Sets the value of the thumbnailFormat property.
  `void`
  `setThumbnailSize(String value)`
  Sets the value of the thumbnailSize property.
  `void`
  `setTimeEnabled(boolean value)`
  Sets the value of the timeEnabled property.
  `void`
  `setVdShowNumber(boolean value)`
  Sets the value of the vdShowNumber property.
  `void`
  `setVdShowVersion(boolean value)`
  Sets the value of the vdShowVersion property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Preference

    public Preference()

- ## Method Details

  - ### getColumn

    public List<Column> getColumn()
    Gets the value of the column property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the column property.

    For example, to add a new item, do as follows:

            getColumn().add(newItem);

    Objects of the following type(s) are allowed in the list `Column`

  - ### getColumnPreferences

    public List<ColumnPreference> getColumnPreferences()
    Gets the value of the columnPreferences property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the columnPreferences property.

    For example, to add a new item, do as follows:

            getColumnPreferences().add(newItem);

    Objects of the following type(s) are allowed in the list `ColumnPreference`

  - ### getD2SVWidgetPreferences

    public List<D2SVWidgetPreference> getD2SVWidgetPreferences()
    Gets the value of the d2SVWidgetPreferences property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the d2SVWidgetPreferences property.

    For example, to add a new item, do as follows:

            getD2SVWidgetPreferences().add(newItem);

    Objects of the following type(s) are allowed in the list `D2SVWidgetPreference`

  - ### getLanguage

    public String getLanguage()
    Gets the value of the language property.
    Returns:
      possible object is `String`

  - ### setLanguage

    public void setLanguage(String value)
    Sets the value of the language property.
    Parameters:
      `value` - allowed object is `String`

  - ### isFolderBefore

    public boolean isFolderBefore()
    Gets the value of the folderBefore property.

  - ### setFolderBefore

    public void setFolderBefore(boolean value)
    Sets the value of the folderBefore property.

  - ### getGroupBy

    public String getGroupBy()
    Gets the value of the groupBy property.
    Returns:
      possible object is `String`

  - ### setGroupBy

    public void setGroupBy(String value)
    Sets the value of the groupBy property.
    Parameters:
      `value` - allowed object is `String`

  - ### getGroupByWidget

    public String getGroupByWidget()
    Gets the value of the groupByWidget property.
    Returns:
      possible object is `String`

  - ### setGroupByWidget

    public void setGroupByWidget(String value)
    Sets the value of the groupByWidget property.
    Parameters:
      `value` - allowed object is `String`

  - ### isFolderHidden

    public boolean isFolderHidden()
    Gets the value of the folderHidden property.

  - ### setFolderHidden

    public void setFolderHidden(boolean value)
    Sets the value of the folderHidden property.

  - ### getFormatDate

    public String getFormatDate()
    Gets the value of the formatDate property.
    Returns:
      possible object is `String`

  - ### setFormatDate

    public void setFormatDate(String value)
    Sets the value of the formatDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFormatDateTime

    public String getFormatDateTime()
    Gets the value of the formatDateTime property.
    Returns:
      possible object is `String`

  - ### setFormatDateTime

    public void setFormatDateTime(String value)
    Sets the value of the formatDateTime property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFormatDateInput

    public String getFormatDateInput()
    Gets the value of the formatDateInput property.
    Returns:
      possible object is `String`

  - ### setFormatDateInput

    public void setFormatDateInput(String value)
    Sets the value of the formatDateInput property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFormatDateTimeInput

    public String getFormatDateTimeInput()
    Gets the value of the formatDateTimeInput property.
    Returns:
      possible object is `String`

  - ### setFormatDateTimeInput

    public void setFormatDateTimeInput(String value)
    Sets the value of the formatDateTimeInput property.
    Parameters:
      `value` - allowed object is `String`

  - ### isTimeEnabled

    public boolean isTimeEnabled()
    Gets the value of the timeEnabled property.

  - ### setTimeEnabled

    public void setTimeEnabled(boolean value)
    Sets the value of the timeEnabled property.

  - ### getThumbnailFormat

    public String getThumbnailFormat()
    Gets the value of the thumbnailFormat property.
    Returns:
      possible object is `String`

  - ### setThumbnailFormat

    public void setThumbnailFormat(String value)
    Sets the value of the thumbnailFormat property.
    Parameters:
      `value` - allowed object is `String`

  - ### getThumbnailSize

    public String getThumbnailSize()
    Gets the value of the thumbnailSize property.
    Returns:
      possible object is `String`

  - ### setThumbnailSize

    public void setThumbnailSize(String value)
    Sets the value of the thumbnailSize property.
    Parameters:
      `value` - allowed object is `String`

  - ### getContentViewMode

    public String getContentViewMode()
    Gets the value of the contentViewMode property.
    Returns:
      possible object is `String`

  - ### setContentViewMode

    public void setContentViewMode(String value)
    Sets the value of the contentViewMode property.
    Parameters:
      `value` - allowed object is `String`

  - ### isVdShowNumber

    public boolean isVdShowNumber()
    Gets the value of the vdShowNumber property.

  - ### setVdShowNumber

    public void setVdShowNumber(boolean value)
    Sets the value of the vdShowNumber property.

  - ### isVdShowVersion

    public boolean isVdShowVersion()
    Gets the value of the vdShowVersion property.

  - ### setVdShowVersion

    public void setVdShowVersion(boolean value)
    Sets the value of the vdShowVersion property.

  - ### getPaginationNumber

    public int getPaginationNumber()
    Gets the value of the paginationNumber property.

  - ### setPaginationNumber

    public void setPaginationNumber(int value)
    Sets the value of the paginationNumber property.

  - ### getAssistColKeyType

    public String getAssistColKeyType()
    Gets the value of the assistColKeyType property.
    Returns:
      possible object is `String`

  - ### setAssistColKeyType

    public void setAssistColKeyType(String value)
    Sets the value of the assistColKeyType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTemplateView

    public String getTemplateView()
    Gets the value of the templateView property.
    Returns:
      possible object is `String`

  - ### setTemplateView

    public void setTemplateView(String value)
    Sets the value of the templateView property.
    Parameters:
      `value` - allowed object is `String`

  - ### isSvAccessibleCompliant

    public Boolean isSvAccessibleCompliant()
    Gets the value of the svAccessibleCompliant property.
    Returns:
      possible object is `Boolean`

  - ### setSvAccessibleCompliant

    public void setSvAccessibleCompliant(Boolean value)
    Sets the value of the svAccessibleCompliant property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getSvBrowserPluginMode

    public String getSvBrowserPluginMode()
    Gets the value of the svBrowserPluginMode property.
    Returns:
      possible object is `String`

  - ### setSvBrowserPluginMode

    public void setSvBrowserPluginMode(String value)
    Sets the value of the svBrowserPluginMode property.
    Parameters:
      `value` - allowed object is `String`

  - ### isSearchHighlightEnabled

    public Boolean isSearchHighlightEnabled()
    Gets the value of the searchHighlightEnabled property.
    Returns:
      possible object is `Boolean`

  - ### setSearchHighlightEnabled

    public void setSearchHighlightEnabled(Boolean value)
    Sets the value of the searchHighlightEnabled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isSearchSummaryEnabled

    public Boolean isSearchSummaryEnabled()
    Gets the value of the searchSummaryEnabled property.
    Returns:
      possible object is `Boolean`

  - ### setSearchSummaryEnabled

    public void setSearchSummaryEnabled(Boolean value)
    Sets the value of the searchSummaryEnabled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getSvLandingPage

    public String getSvLandingPage()
    Gets the value of the svLandingPage property.
    Returns:
      possible object is `String`

  - ### setSvLandingPage

    public void setSvLandingPage(String value)
    Sets the value of the svLandingPage property.
    Parameters:
      `value` - allowed object is `String`

  - ### isTaskWidgetTabOptions

    public Boolean isTaskWidgetTabOptions()
    Gets the value of the taskWidgetTabOptions property.
    Returns:
      possible object is `Boolean`

  - ### setTaskWidgetTabOptions

    public void setTaskWidgetTabOptions(Boolean value)
    Sets the value of the taskWidgetTabOptions property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isIvQuickviewOption

    public Boolean isIvQuickviewOption()
    Gets the value of the ivQuickviewOption property.
    Returns:
      possible object is `Boolean`

  - ### setIvQuickviewOption

    public void setIvQuickviewOption(Boolean value)
    Sets the value of the ivQuickviewOption property.
    Parameters:
      `value` - allowed object is `Boolean`